import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _MTRGroupKeyManagementClusterGroupInfoMapStruct extends _NSObject {
    static alloc(): _MTRGroupKeyManagementClusterGroupInfoMapStruct;
    static new(): _MTRGroupKeyManagementClusterGroupInfoMapStruct;
    init(): _MTRGroupKeyManagementClusterGroupInfoMapStruct;
    groupId(): _NSNumber;
    setGroupId$(value: _NSNumber): void;
    endpoints(): _NSArray;
    setEndpoints$(value: _NSArray): void;
    groupName(): _NSString | null;
    setGroupName$(value: _NSString | null): void;
    fabricIndex(): _NSNumber;
    setFabricIndex$(value: _NSNumber): void;
}
export interface _MTRGroupKeyManagementClusterGroupInfoMapStruct extends _NSCopying {
}
